export type NeedsCreationOrUpdate = {
    needs: boolean;
    reason?: string;
};
export declare function upsertInitialStatus(pluralKind: string, namespace: string, item: any): Promise<void>;
export declare function needsProvisioningOnCreateOrUpdate(cr: any): Promise<NeedsCreationOrUpdate>;
export declare function updateSyncTransition(itemPath: string, reason: string, lastSyncTime: string, nextSyncTime: string, message: string, status: string): Promise<void>;
export declare function writePrioritizedStatus(kind: string, namespace: string, item: any): Promise<void>;
export declare function updateTransition(itemPath: string, reason: string, type: string, statusValue: string, message?: string, updateStatusOnly?: boolean): Promise<void>;
export declare function getConditionByType(conditionList: Array<any>, type: string): any;
